<template>
    <div class="edit-view">
        <el-form
            :model="formData"
            :rules="rules"
            ref="form"
            label-width="90px"
            label-position="right"
            size="small"
            style="max-width: 500px;"
        >
            <el-form-item prop="userId" label="昵称">
                <el-input v-model="formData.nickname" readonly></el-input>
            </el-form-item>
            <el-form-item prop="writeOffUserId" label="核销人" v-if="formData.type === 'WRITE_OFF'">
                <el-input v-model="formData.writeOffNickname" readonly></el-input>
            </el-form-item>
            <el-form-item prop="createdAt" label="时间">
                <el-date-picker
                    class="input1"
                    readonly
                    v-model="formData.createdAt"
                    type="datetime"
                    value-format="yyyy-MM-dd HH:mm:ss"
                    placeholder="选择日期时间"
                >
                </el-date-picker>
            </el-form-item>
            <el-form-item prop="packageType" label="类型">
                <el-select v-model="formData.packageType" class="input1">
                    <el-option label="企业" value="TEAM" disabled></el-option>
                    <el-option label="个人" value="PERSONAL" disabled></el-option>
                </el-select>
            </el-form-item>
            <el-form-item prop="type" label="操作">
                <el-select v-model="formData.type" class="input1">
                    <el-option
                        disabled
                        v-for="item in typeOptions"
                        :key="item.value"
                        :label="item.label"
                        :value="item.value"
                    ></el-option>
                </el-select>
            </el-form-item>
            <el-form-item prop="content" label="内容">
                <div class="subform">
                    <el-table :data="formData.goods">
                        <el-table-column prop="name" label="商品名"></el-table-column>
                        <el-table-column prop="num" label="数量"></el-table-column>
                    </el-table>
                </div>
            </el-form-item>
            <el-form-item>
                <!--<el-button @click="onSave" :loading="saving" type="primary">保存</el-button>-->
                <!-- <el-button @click="onDelete" :loading="saving" type="danger" v-if="formData.id">删除</el-button> -->
                <el-button @click="$router.go(-1)">返回</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
export default {
    name: 'UserPackageFlowEdit',
    created() {
        if (this.$route.query.id) {
            this.$http
                .get('userPackageFlow/getDTO/' + this.$route.query.id)
                .then(res => {
                    this.formData = res;
                })
                .catch(e => {
                    console.log(e);
                    this.$message.error(e.error);
                });
        }
    },
    data() {
        return {
            saving: false,
            formData: {
                goods: []
            },
            rules: {},
            typeOptions: [
                { label: '购买', value: 'BUY' },
                { label: '核销', value: 'WRITE_OFF' }
            ]
        };
    },
    methods: {
        onSave() {
            this.$refs.form.validate(valid => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            let data = { ...this.formData };

            this.saving = true;
            this.$http
                .post('/userPackageFlow/save', data, { body: 'json' })
                .then(res => {
                    this.saving = false;
                    this.$message.success('成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    console.log(e);
                    this.saving = false;
                    this.$message.error(e.error);
                });
        },
        onDelete() {
            this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' })
                .then(() => {
                    return this.$http.post(`/userPackageFlow/del/${this.formData.id}`);
                })
                .then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error(e.error);
                    }
                });
        }
    }
};
</script>
<style lang="less" scoped>
.input-content {
    margin: 5px 10px 5px 0;
}
.subform {
    padding: 12px 12px 12px 12px;
    background: #f2f3f5;
    border-radius: 8px;
    border: 1px solid #eee;
    margin-bottom: 10px;
}
.input1 {
    width: 410px;
}
</style>
